Skip to main content

v1.91.0

New: Pix Fund Recovery Requests, Pix Infraction Notifications, Users Legal Person Onboarding, Users Natural Person Onboarding, 1 more area (12 endpoints) · 5 changed endpoints · No breaking changes.

New endpoints

Pix Fund Recovery Requests

EndpointDescription
GET /v1/pix/fund-recovery-requestsList Pix Fund Recovery Requests
POST /v1/pix/fund-recovery-requestsCreate Pix Fund Recovery Request
GET /v1/pix/fund-recovery-requests/{id}Get Pix Fund Recovery Request by ID
DELETE /v1/pix/fund-recovery-requests/{id}/cancelCancel Pix Fund Recovery Request
PATCH /v1/pix/fund-recovery-requests/{id}/files/uploadUpload Pix Fund Recovery Request File

Pix Infraction Notifications

EndpointDescription
GET /v1/pix/compliance/infraction-notificationsList Pix Infraction Notifications
GET /v1/pix/compliance/infraction-notifications/{id}Get Pix Infraction Notification by ID
EndpointDescription
POST /v2/users/onboardings/{id}/legal-representatives/{legal_representative_id}/liveness/videoUpload legal representative liveness video
GET /v2/users/onboardings/{id}/legal-representatives/livenessGet legal representative liveness links

Users Natural Person Onboarding

EndpointDescription
GET /v2/users/onboardings/{id}/livenessGet onboarding liveness link
POST /v2/users/onboardings/{id}/liveness/videoUpload onboarding liveness video

Reports

EndpointDescription
GET /v1/reports/client-activity/{client_id}List Client Tracking History

Changed

  • ⚠️ New value ONBOARDING_LIVENESS_VIDEOS in response field data[].type (200) — GET /v1/storage/files
  • ⚠️ New value LIVENESS in response field data[].steps[].name (200) — GET /v1/users/onboardings/with-steps
  • New field beneficiary_document in response (201), always present — POST /v1/banking/billet-payments/decode, POST /v2/banking/billet-payments/decode
  • New value ONBOARDING_LIVENESS_VIDEOS accepted in request field file_typePOST /v1/storage/upload

⚠️ marks changes that may require action on your side, such as new enum values in responses.